%define momorel 5
# set to 0 to have jwhois not replace or conflict with the
# system installed whois.
%define provide_whois 1

Summary: The GNU Whois client
Name: jwhois
Version: 3.2.2
Release: %{momorel}m
License: GPL
Group: Applications/Internet
URL: http://www.gnu.org/directory/jwhois.html
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: jwhois-3.2.2-typos.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: info
BuildRequires: gdbm-devel >= 1.8.0
%{?provide_whois:Obsoletes: fwhois}

%description
JWHOIS is an Internet Whois client that queries hosts for information
according to RFC 954 - NICNAME/WHOIS. JWHOIS is configured via a
configuration file that contains information about all known Whois servers.
Upon execution, the host to query is selected based on the information
in the configuration file. 

The configuration file is highly customizable and makes heavy use of
regular expressions. 

%prep
%setup -q
%patch0 -p1 -b .typos

%build
%configure \
	--enable-GROUP=nobody --localstatedir=/var/cache/jwhois
make

%install
rm -rf %{buildroot}
%makeinstall

install -d -m 755 %{buildroot}/etc
install -d -m 755 %{buildroot}/var/cache/jwhois

# Modify and install jwhois.conf
perl -pi -e 's(^#cachefile.*$)(cachefile = "/var/cache/jwhois/jwhois.db";)g; \
	     s(^#cacheexpire.*$)(cacheexpire = 24;)g' example/jwhois.conf
install -m 644 example/jwhois.conf %{buildroot}/etc

%if %{provide_whois}
( cd %{buildroot};
	ln -s jwhois ./usr/bin/whois
	ln -s jwhois.1 .%{_mandir}/man1/whois.1
)
%endif

rm -f %{buildroot}%{_infodir}/dir
rm -f %{buildroot}/usr/share/man/sv/man1/jwhois.1*

%clean
rm -rf %{buildroot}

%pre
if [ -f /var/cache/jwhois/jwhois.db ]; then rm -f /var/cache/jwhois/jwhois.db ; fi

%post
/sbin/install-info %{_infodir}/jwhois.info* %{_infodir}/dir

%preun 
/sbin/install-info --delete %{_infodir}/jwhois.info* %{_infodir}/dir
if [ -f /var/cache/jwhois/jwhois.db ]; then rm -f /var/cache/jwhois/jwhois.db ; fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config /etc/jwhois.conf
%attr(6755,nobody,nobody) /usr/bin/jwhois
%{_mandir}/man1/jwhois.1*
%{_infodir}/jwhois.info*
/usr/share/locale/*/LC_MESSAGES/jwhois.mo
%attr(6775,nobody,nobody) /var/cache/jwhois

%if %{provide_whois}
	/usr/bin/whois
	%{_mandir}/man1/whois.1*
%endif

%changelog
* Wed Jul 14 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2.2-5m)
- fix typos in jwhois.conf

* Sun Mar 21 2004 Toru Hoshina <t@momonga-linux.org>
- (3.2.2-4m)
- revised spec for enabling rpm 4.2.

* Mon Dec 22 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.2.2-3m)
- accept gdbm-1.8.0 or newer

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2.2-2m)
- rebuild against gdbm-1.8.0

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.2.2-1m)
- update to 3.2.2

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.2.1-3m)
- rebuild against for gdbm

* Fri Feb  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.2.1-2m)
  rebuild against libgdbm

* Wed Feb  5 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2.1-1m)
- upgrade to 3.2.1

* Tue Jul 23 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2.0-1m)
- upgrade to 3.2.0

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.1.0-4k)

* Mon Jan 21 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.1.0-2k)

* Wed Oct 17 2001 Toru Hoshina <t@kondara.org>
- (3.0.1-4k)
- rebuild against gettext 0.10.40.

* Sat Oct 13 2001 Kazuhiko <kazuhiko@kondara.org>
- (3.0.1-2k)

* Wed Mar 28 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (2.4.2-3k)
- update to 2.4.2
- /var/tmp to %{_tmppath}
- changed Source: URL to ftp.ring.gr.jp (temporary)
- jwhois.info to jwhois.info*  (.info.bz2)

* Sun Jun 18 2000 AYUHANA Tomonori <l@kondara.org>
- remove Vender tag :-P

* Mon Jun 12 2000 Kenji Yamaguchi <yamk@sophiaworks.com>
  [jwhois-2.4.1-2k1]
- Get from RedHat contrib.
- for Kondara MNU/Linux 1.1.
- %pre and %post script stops at new rpm command.
  ORG:    [  ] && hoge
  NOW:    if [  ]; then  hoge ; fi
- NoSrc.
- speclint refresh: TAB to SPACE. and "License:" changes to "Copyright:"

* Mon Feb 14 2000 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4.1-2]
- jwhois now runs as user nobody aswell as group nobody so that the
  cached database isn't owned by 'the first user to run jwhois', thus
  affecting their quota. (Thanks to Oren Tirosh <oren@hishome.net>)
- Oren Tirosh <oren@hishome.net> also informed me that since he was the
  first one to make a rpm for jwhois, it was unkind of me to rewrite and
  maintain the rpm for jwhois without as least leaving his rpm changelog
  entries. Sorry Oren, I can no longer locate the old rpms to replace
  your entries.

* Thu Jan 27 2000 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4.1-1]
- example/jwhois.conf: Added more CIDR blocks
  Changed registry for .no and added -NORID handles (from Pl Lrg)
- configure.in: Added generation of jwhois.spec
- Makefile.am (EXTRA_DIST): Added distribution of jwhois.spec
- jwhois.spec.in: Added (from Ryan Weaver)
- src/jwhois.c (make_connect): Output [host]\n -before- doing a
  resolver query (speeds up output so the user doesn't think it's hung)
- src/utils.c (fdread): Check return value from read correctly
- example/jwhois.conf: corrected \. to be \\.

* Mon Jan 24 2000 Ryan Weaver <ryanw@infohwy.com>
  [jwhois-2.4-2]
- Made package relocatable.
- Including available locales now.
- Rewrote spec file.
- Made patch against source to include spec it distribution and sent it
  to the author.
